## nss-wrapper 1.0.3

=== debian/changelog ===
nss-wrapper (1.0.3-3) unstable; urgency=low

  * Add patch (reproducible-manpage.diff) to make the builds reproducible.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 27 Jun 2015 21:29:52 +0200

nss-wrapper (1.0.3-2) unstable; urgency=low

  * Upload to unstable.
  * Drop “XS-Testsuite: autopkgtest”.
  * Bump standards version to 3.9.6 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 25 May 2015 13:46:29 +0200

nss-wrapper (1.0.3-1) experimental; urgency=low

  * New upstream release.
    + Add a nss_wrapper manpage.
    + Fix cmake find_package configs.
    + Fix resolving hostnames with a trailing dot.
    + Fix an overflow when checking if a IPv6 address is IPv4.
  * Drop fix-cmp0026.diff; applied upstream.
  * Drop tests-fix-ai_flags.diff; applied upstream.
  * Rebuild the nss_wrapper manpage from source:
    + Add asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl to
      Build-Depends.
    + Add the manpage to extend-diff-ignore in debian/source/options.
    + Run a2x in debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 01 Oct 2014 18:19:30 +0200

nss-wrapper (1.0.2-1) experimental; urgency=low

  * Initial release (closes: #746583).
  * libnss_wrapper is a preloadable library. We do not support directly
    linking to it, so it doesn't need the SONAME. Add patch (no-soname.diff)
    to remove it.
  * Add Lintian override for sharedobject-in-library-directory-missing-soname.
  * Cherry-pick upstream patch (fix-cmp0026.diff) to fix check for the CMP0026
    cmake policy.
  * Cherry-pick upstream patch (tests-fix-ai_flags.diff) to fix test failure
    on systems with only IPv4 addresses.
  * Add patch (use-gnu-lib-names.diff) to use the LIBC_SO and LIBNSL_SO
    macros to discover SONAMEs.
    Thanks to Pino Toscano.
  * Don't install /usr/bin/nss_wrapper.pl for the time being.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 08 Jun 2014 23:53:33 +0200
