=== debian/control ===
Source: nss-wrapper
Homepage: http://cwrap.org/nss_wrapper.html
Section: devel
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends:
 debhelper (>= 7),
 dh-buildinfo,
 cmake (>= 2.8.8-3~),
 libcmocka-dev,
 netbase,
 asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
Standards-Version: 3.9.6

Package: libnss-wrapper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NSS wrapper library
 There are projects which provide daemons needing to be able to create, modify
 and delete unix users. Or just switch user ids to interact with the system,
 for example a user space file server. To be able to test that you need the
 privilege to modify the passwd and groups file. With nss_wrapper it is
 possible to define your own passwd and groups file which will be used by
 software to act correctly while under test.
 .
 If you have a client and server under test they normally use functions to
 resolve network names to addresses (DNS) or vice versa. The nss_wrappers allow
 you to create a hosts file to setup name resolution for the addresses you use
 with socket_wrapper.
