## nss-wrapper 1.1.2

=== debian/changelog ===
nss-wrapper (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Feb 2016 08:22:42 +0200

nss-wrapper (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed, reproducible-manpage.diff dropped being
    upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 23:25:07 +0200

nss-wrapper (1.0.3-4) unstable; urgency=medium

  * control: New maintainer. (Closes: #770375)
  * control: Add Vcs fields.
  * rules: Bump verbosity for tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2015 12:28:53 +0300
