=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Homepage: http://cwrap.org/nss_wrapper.html
 Section: devel
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
  debhelper (>= 7),
  dh-buildinfo,
@@ -11,6 +12,8 @@
  netbase,
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
 Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-sssd/nss-wrapper.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/nss-wrapper.git
 
 Package: libnss-wrapper
 Architecture: any
