=== debian/changelog ===
nss-wrapper (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * control: Add versioned build-depends on libcmocka-dev. (Closes:
    #838445)
  * control: Use https vcs urls.
  * control: Bump policy to 3.9.8, no changes.
  * no-soname.diff: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 03 Dec 2016 01:40:21 +0200
