=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  debhelper (>= 7),
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
- libcmocka-dev,
+ libcmocka-dev (>= 1.0.1),
  netbase,
  asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-sssd/nss-wrapper.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/nss-wrapper.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-sssd/nss-wrapper.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sssd/nss-wrapper.git
 
 Package: libnss-wrapper
 Architecture: any
