=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	cd obj && cmake $(cmake_options) ..
 	$(MAKE) $(parallel) -C obj/
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
-	$(MAKE) -C obj/ test
+	$(MAKE) -C obj/ test ARGS="-V"
 endif
 	a2x --doctype manpage --format manpage doc/nss_wrapper.1.txt
 	touch $(@)
