=== debian/changelog ===
nss-wrapper (1.1.11-1ubuntu2) groovy; urgency=medium

  * d/t/tests: fix order of cmake arguments.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 11 Sep 2020 15:41:18 -0300

nss-wrapper (1.1.11-1ubuntu1) groovy; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Jun 2020 14:04:28 -0700

nss-wrapper (1.1.11-1) unstable; urgency=medium

  [ Simon McVittie ]
  * control: Update VCS URLs for salsa.debian.org
  * Allow installation for more than one architecture at the same time
    - d/control: Set Multi-Arch: same
    (Closes: #946902)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake.
    (Closes: #940693)

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Refreshed.
  * control: Use debhelper-compat, bump to 12.
  * rules: Migrate to dh. (Closes: #940693)
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 02 Apr 2020 21:45:05 +0300
