=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: nss-wrapper
-Homepage: http://cwrap.org/nss_wrapper.html
 Section: devel
 Priority: optional
-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper-compat (= 12),
  dh-buildinfo,
  cmake (>= 2.8.8-3~),
  libcmocka-dev (>= 1.0.1),
  netbase,
- asciidoc, libxml2-utils, xsltproc, docbook-xml, docbook-xsl
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-sssd/nss-wrapper.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sssd/nss-wrapper.git
+ asciidoc,
+ libxml2-utils,
+ xsltproc,
+ docbook-xml,
+ docbook-xsl
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/sssd-team/nss-wrapper.git
+Vcs-Browser: https://salsa.debian.org/sssd-team/nss-wrapper
+Homepage: http://cwrap.org/nss_wrapper.html
 
 Package: libnss-wrapper
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: NSS wrapper library
  There are projects which provide daemons needing to be able to create, modify
