=== debian/tests/control ===
Tests: tests
Depends: libnss-wrapper,
 build-essential,
 libc6-dev,
 cmake (>= 2.8.8-3~),
 libcmocka-dev,
 netbase
Restrictions: allow-stderr

Tests: adequate
Depends: libnss-wrapper, adequate:native
