=== debian/watch ===
version=3
https://ftp.samba.org/pub/cwrap/ nss_wrapper-([0-9.]+)[.]tar[.]gz
