=== debian/changelog ===
nss-wrapper (1.1.12-1) unstable; urgency=medium

  * New upstream release.
  * Make autopkgtests cross-test-friendly. Thanks, Steve Langasek!
    (Closes: #962626)
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Aug 2022 12:15:59 +0300
