=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(tests C)
 
-set(TESTSUITE_LIBRARIES ${NWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})
+set(TESTSUITE_LIBRARIES nss_utils ${NWRAP_REQUIRED_LIBRARIES} ${CMOCKA_LIBRARY})
 string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
 
 add_library(nss_nwrap SHARED nss_nwrap.c)
@@ -11,6 +11,7 @@
                            PRIVATE
                                ${CMAKE_BINARY_DIR}
                                ${CMOCKA_INCLUDE_DIR})
+target_link_libraries(nss_nwrap PRIVATE nss_utils)
 
 set(HOMEDIR ${CMAKE_CURRENT_BINARY_DIR})
 
@@ -19,6 +20,10 @@
 configure_file(hosts.in ${CMAKE_CURRENT_BINARY_DIR}/hosts @ONLY)
 configure_file(shadow.in ${CMAKE_CURRENT_BINARY_DIR}/shadow @ONLY)
 
+# If there is uid_wrapper, we can better test initgroups() since uid_wrapper
+# provides privilege for setgroups().
+find_package(uid_wrapper 1.3.0)
+
 set(NWRAP_TESTS
     testsuite
     test_nwrap_vector
@@ -26,7 +31,8 @@
     test_getnameinfo
     test_gethostby_name_addr
     test_gethostent
-    test_getpwuid_module)
+    test_getpwuid_module
+    test_initgroups)
 
 if (HAVE_SHADOW_H)
     list(APPEND NWRAP_TESTS test_shadow)
@@ -51,6 +57,9 @@
     if (ASAN_LIBRARY)
         list(APPEND PRELOAD_LIBRARIES ${ASAN_LIBRARY})
     endif()
+    if (uid_wrapper_FOUND)
+        list(APPEND PRELOAD_LIBRARIES ${UID_WRAPPER_LIBRARY})
+    endif()
     list(APPEND PRELOAD_LIBRARIES ${NSS_WRAPPER_LOCATION})
 
     if (OSX)
@@ -60,12 +69,26 @@
         set(TORTURE_ENVIRONMENT "LD_PRELOAD=${_TMP_ENV}")
     endif()
 
+    if (uid_wrapper_FOUND)
+        list(APPEND TORTURE_ENVIRONMENT UID_WRAPPER=1)
+    endif()
+
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_PASSWD=${CMAKE_CURRENT_BINARY_DIR}/passwd)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_GROUP=${CMAKE_CURRENT_BINARY_DIR}/group)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_SHADOW=${CMAKE_CURRENT_BINARY_DIR}/shadow)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_HOSTS=${CMAKE_CURRENT_BINARY_DIR}/hosts)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_MODULE_SO_PATH=${CMAKE_CURRENT_BINARY_DIR}/libnss_nwrap.so)
     list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_MODULE_FN_PREFIX=nwrap)
+    if (CMAKE_BUILD_TYPE)
+        string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_LOWER)
+
+        if (CMAKE_BUILD_TYPE_LOWER STREQUAL "threadsanitizer")
+            list(APPEND TORTURE_ENVIRONMENT NSS_WRAPPER_DISABLE_DEEPBIND=1)
+            if (uid_wrapper_FOUND)
+                list(APPEND TORTURE_ENVIRONMENT UID_WRAPPER_DISABLE_DEEPBIND=1)
+            endif()
+        endif()
+    endif()
 
     set_property(TEST
                     ${_TEST_NAME}
