=== debian/changelog ===
nss-wrapper (1.1.15-2) unstable; urgency=medium

  * control: Use new pkg-sssd email address.
  * tests: Add wrap-and-sort.
  * tests: Add manpage-rebuild.
  * Run wrap-and-sort -satb.
  * use-gnu-lib-names.diff: Use upstream patch from git.
  * doc-typo.diff: Add from upstream.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 17 Aug 2023 10:48:10 +0200

nss-wrapper (1.1.15-1) unstable; urgency=medium

  * New upstream release.  Closes: #762085.
  * patches: Refreshed.
  * libnss-wrapper.lintian-overrides: Fix syntax.
  * copyright: Use https URL.
  * control: Add myself as Uploaders.
  * tests: Output errors on failure.
  * control: Standards-Version 4.6.2.
  * copyright: Add myself for debian/*, silencing
    lintian warning update-debian-copyright.
  * control: Rules-Requires-Root: no.
  * upstream/metadata: Add.
  * watch: Add pgpsigurlmangle.
  * upstream/signing-key.asc: Add.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Bump debhelper-compat to 13.
  * Build with hardening=+all.
  * Drop compression=gzip from source/options, silencing
    lintian custom-compression-in-debian-source-options.
  * copyright: Sync years/authors with upstream source.
  * Rebuild manpage with asciidoctor instead of a2x to
    decrease build dependencies.

  [ Lucas Kanashiro <kanashiro@ubuntu.com> ]
  * d/t/tests: fix order of cmake arguments.  LP: #1895345.

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake and libcmocka-dev.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 05 Aug 2023 19:37:01 +0200
