=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: nss-wrapper
 Section: devel
 Priority: optional
-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>
+Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
+Uploaders:
+ Timo Aaltonen <tjaalton@debian.org>,
+ Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ asciidoctor,
+ cmake,
+ debhelper-compat (= 13),
  dh-buildinfo,
- cmake (>= 2.8.8-3~),
- libcmocka-dev (>= 1.0.1),
+ libcmocka-dev,
  netbase,
- asciidoc,
- libxml2-utils,
- xsltproc,
- docbook-xml,
- docbook-xsl
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/sssd-team/nss-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/nss-wrapper
 Homepage: http://cwrap.org/nss_wrapper.html
+Rules-Requires-Root: no
 
 Package: libnss-wrapper
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: NSS wrapper library
  There are projects which provide daemons needing to be able to create, modify
  and delete unix users. Or just switch user ids to interact with the system,
