=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build

override_dh_clean:
	dh_clean
	rm -f compile_commands.json

override_dh_auto_build:
	dh_auto_build
	asciidoctor -b manpage -d manpage doc/nss_wrapper.1.txt

override_dh_install:
	dh_install
	rm -rf debian/*-wrapper/usr/bin/
