=== debian/tests/control ===
Tests: tests
Depends:
 build-essential,
 cmake (>= 2.8.8-3~),
 libc-dev,
 libcmocka-dev,
 libnss-wrapper,
 netbase,
Restrictions: allow-stderr

Tests: adequate
Depends:
 adequate,
 libnss-wrapper,

Tests: manpage-rebuild
Depends:
 libnss-wrapper,
Restrictions: superficial

Tests: wrap-and-sort
Depends:
 devscripts,
 python3-debian,
Restrictions: superficial
