=== debian/changelog ===
nss-wrapper (1.1.16-2) unstable; urgency=medium

  [ наб ]
  * d/control: Build-Depends: remove dh-buildinfo (see #1068809)

  [ Simon Josefsson ]
  * Use watch v5.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Run wrap-and-sort -satbk.
  * Use execute_after instead of override.
  * Improve Salsa CI.
  * Fix copyright typo nit (thanks lrc).

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Oct 2025 15:07:26 +0200

nss-wrapper (1.1.16-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * New upstream release.
  * Drop upstreamed patches doc-typo.diff & use-gnu-lib-names.diff.
  * Fix update-debian-copyright.
  * control: Standards-Version 4.7.0.
  * Fix re-generation of nss_wrapper.1.
  * Re-run wrap-and-sort -sabkt.
  * tests/manpage-rebuild: Update for new upstream release.

  [ Ben Hutchings ]
  * debian/salsa-ci.yml: Add local CI configuration
  * Replace wrap-and-sort autopkgtest with a CI job

 -- Simon Josefsson <simon@josefsson.org>  Sun, 22 Sep 2024 19:11:22 +0200
