=== debian/control ===
--- 
+++ 
@@ -6,17 +6,15 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  asciidoctor,
  cmake,
- debhelper-compat (= 13),
- dh-buildinfo,
  libcmocka-dev,
  netbase,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/sssd-team/nss-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/nss-wrapper
 Homepage: http://cwrap.org/nss_wrapper.html
-Rules-Requires-Root: no
 
 Package: libnss-wrapper
 Architecture: any
