=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build

execute_after_dh_clean:
	rm -fv compile_commands.json

execute_after_dh_auto_build:
	asciidoctor -b manpage doc/nss_wrapper.1.adoc

execute_after_dh_install:
	dh_install
	rm -rv debian/*-wrapper/usr/bin/
