=== debian/watch ===
Version: 5
Source: https://ftp.samba.org/pub/cwrap/
Matching-Pattern: nss_wrapper-@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.asc/
